Summary: LPRng Print Spooler for UNIX and NT
Name: LPRng
Version: 3.6.13
Release: 2
Group: System Environment/Daemons
Copyright: OpenSource
URL: http://www.astart.com/
Vendor: Astart Technologies
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.astart.com/pub/LPRng/LPRng/LPRng-%{version}.tgz
Source1: lpd.init
Provides: lpr = 0.48
Buildroot: /var/tmp/%{name}-root

%description
The LPRng software is an enhanced, extended, and portable implementation
of the Berkeley LPR print spooler functionality. While providing the
same interface and meeting RFC1179 requirements, the implementation
is completely new and provides support for the following features:
lightweight (no databases needed) lpr, lpc, and lprm programs; dynamic
redirection of print queues; automatic job holding; highly verbose
diagnostics; multiple printers serving a single queue; client programs
do not need to run SUID root; greatly enhanced security checks; and a
greatly improved permission and authorization mechanism.

The source software compiles and runs on a wide variety of UNIX systems,
and is compatible with other print spoolers and network printers that
use the LPR interface and meet RFC1179 requirements.  LPRng provides
emulation packages for the SVR4 lp and lpstat programs, eliminating the
need for another print spooler package. These emulation packages can be
modified according to local requirements, in order to support vintage
printing systems.  An NT version is also available.

For users that require secure and/or authenticated printing support,
LPRng supports Kerberos V, MIT Kerberos IV Print Support, and PGP
authentication.  LPRng is being adopted by MIT for use as their Campus
Wide printing support system. Additional authentication support is
extremely simple to add.  LPRng is Open Source Software, and the current
public distribution is available from the listed FTP and Web Sites.


%prep
%setup -q


%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --sysconfdir=/etc
make 
gzip -9 HOWTO/LPRng-HOWTO.ps


%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc \
	ROOT_PERMS=4755
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/lpd


%post
/sbin/chkconfig --add lpd

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del lpd
fi


%files
%defattr(-,root,root)
%doc ABOUT-NLS.LPRng ANNOUNCE BUILD CHANGES CONTRIBUTORS COPYRIGHT INSTALL 
%doc LICENSE README* Y2KCompliance
%doc HOWTO/LPRng-HOWTO.ps.gz
%config /etc/rc.d/init.d/lpd
%config /etc/lpd.conf
%config /etc/lpd.perms
/etc/lpd.conf.sample
/etc/lpd.perms.sample
/usr/bin/*
/usr/libexec/*
/usr/man/man*/*
/usr/sbin/*


%clean
rm -rf $RPM_BUILD_ROOT

